TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Type ( any obj ) -> type

### Description

<shortdoc> Returns the type of 'obj'. If 'obj' is extended, i.e., it is a record with a 'base' component, then the type of the base component is returned. If 'obj' is a record with a 'type' component 'obj.type' is returned. </shortdoc>

### Examples

Type(3);
Type(true);
Type(2/3);
Type(Sequence([1.2,2]));

### See also

Types
NewType ( string ) -> type
NewType ( string, elt-ord^rat ) -> type
record
Extend ( any ) -> record
Base ( any ) -> any

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack